define([
    "dijit/_Container",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "dijit/_WidgetsInTemplateMixin",
    "dojo/_base/declare",
    "dojo/text!./templates/NumberInputWidget.html"
], function(_Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, declare, template) {
    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
        templateString: template,
        text: '',
        subcode: '',
        startup: function() {
            if ( this._started ) { return; }
            this.inherited(arguments);

            var constraints = {};
            if ( this.min && !isNaN(this.min) ) {
                constraints.min = this.min;
            }
            if ( this.max && !isNaN(this.max) ) {
                constraints.max = this.max;
            }
            if ( this.places && !isNaN(this.places) ) {
                constraints.places = this.places;
            }
            this.numberBox.set('constraints', constraints);
        }
    });
});
