define([
    "dijit/_Container",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetBase",
    "dijit/_WidgetsInTemplateMixin",
    "dojo/_base/declare",
    "dojo/text!./templates/TextInputWidget.html"
], function(_Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, declare, template) {
    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
        templateString: template,
        text: '',
        subcode: '',
        startup: function() {
            if ( this._started ) { return; }
            this.inherited(arguments);

            if ( this.maxLength ) {
                this.textArea.set('maxLength', this.maxLength);
            }
        }
    });
});
