define([
],function(){
    var object = {
        forEach: function(obj,callback,thisObject) {
            for ( var prop in obj ) {
                if ( obj.hasOwnProperty(prop) ) {
                    callback.call(thisObject,obj[prop],prop,obj);
                }
            }
        },
        map: function(obj,callback,thisObject) {
            var newObj = {};
            for ( var prop in obj ) {
                if ( obj.hasOwnProperty(prop) ) {
                    newObj[prop] = callback.call(thisObject,obj[prop],prop,obj);
                }
            }
            return newObj;
        },
        mapToArray: function(obj,callback,thisObject) {
            var newArray = [];
            for ( var prop in obj ) {
                if ( obj.hasOwnProperty(prop) ) {
                    newArray.push(callback.call(thisObject,obj[prop],prop,obj));
                }
            }
            return newArray;
        }
    };
    return object;
});
